gnet_stats_copy_app
Prev | Generic Network Statistics | Next

## Name

gnet_stats_copy_app — copy application specific statistics into statistics TLV

## Synopsis

`int gnet_stats_copy_app (` | struct gnet_dump * | d,
| void * | st,
| int | len`)`;

## Arguments

`d`

  dumping handle

`st`

  application specific statistics data

`len`

  length of data

## Description

Appends the application sepecific statistics to the top level TLV created by `gnet_stats_start_copy` and remembers the data for XSTATS if the dumping handle is in backward compatibility mode.

Returns 0 on success or -1 with the statistic lock released if the room in the socket buffer was not sufficient.

Prev | Up | Next
gnet_stats_copy_queue | Home | gnet_stats_finish_copy